import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:sk_base_mobile/constants/bg_color.dart';
import 'package:sk_base_mobile/screens/new_inventory_inout/components/text_input.dart';
import 'package:sk_base_mobile/screens/new_inventory_inout/new_inventory_inout_controller.dart';

class DescriptionInput extends StatelessWidget {
  final controller = Get.find<NewInventoryInoutController>();
  DescriptionInput({super.key});
  @override
  Widget build(BuildContext context) {
    return Padding(
      padding: const EdgeInsets.symmetric(horizontal: 20),
      child: Column(
        crossAxisAlignment: CrossAxisAlignment.start,
        children: [
          const SizedBox(
            height: defaultPadding / 2,
          ),
          const Padding(
            padding: const EdgeInsets.symmetric(vertical: 10),
            child: Text(
              'Description',
              style:
                  TextStyle(color: Colors.black, fontWeight: FontWeight.bold),
            ),
          ),
          Obx(() => TextInputField(
                controller: controller.description.value,
                hint: 'Description (Optional)',
                focus: controller.descriptionFocus.value,
                onTap: () => controller.setDescriptionFocus(),
              ))
        ],
      ),
    );
  }
}
